Linux Kernel "pci_common.c" 本地拒绝服务漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1117687 漏洞类型 输入验证
发布时间 2009-05-03 更新时间 2009-07-29
CVE编号 CVE-2009-1914 CNNVD-ID CNNVD-200906-063
漏洞平台 Linux CVSS评分 4.9
|漏洞来源
https://www.exploit-db.com/exploits/33043
https://www.securityfocus.com/bid/35415
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200906-063
|漏洞详情
Linuxkernel2.6.29版本之前的版本sparc64平台的arch/sparc/kernel/pci_common.con中的pci_register_iommu_region函数允许本地用户,通过读取/proc/iomem文件,造成拒绝服务(系统崩溃),它与未初始化指针和request_resource函数有关。
|漏洞EXP
source: http://www.securityfocus.com/bid/35415/info

The Linux kernel is prone to a local denial-of-service vulnerability that attackers can exploit to cause an affected computer to crash.

This issue affects the Linux kernel 2.6.22-rc1 through 2.6.29 on the sparc64 architecture.

The following example command is available:

cat /proc/iomem
|受影响的产品
Ubuntu Ubuntu Linux 9.04 sparc Ubuntu Ubuntu Linux 9.04 powerpc Ubuntu Ubuntu Linux 9.04 lpia Ubuntu Ubuntu Linux 9.04 i386 Ubuntu Ubuntu Linux 9.04 amd64 Ubuntu Ubuntu L
|参考资料

来源:XF
名称:kernel-pciregister-dos(51196)
链接:http://xforce.iss.net/xforce/xfdb/51196
来源:BID
名称:35415
链接:http://www.securityfocus.com/bid/35415
来源:MLIST
名称:[oss-security]20090603CVErequest:kernel:sparc64:Fixcrashwith/proc/iomem
链接:http://www.openwall.com/lists/oss-security/2009/06/03/3
来源:www.kernel.org
链接:http://www.kernel.org/pub/linux/kernel/v2.6/ChangeLog-2.6.29
来源:DEBIAN
名称:DSA-1844
链接:http://www.debian.org/security/2009/dsa-1844
来源:SECUNIA
名称:36051
链接:http://secunia.com/advisories/36051
来源:OSVDB
名称:54908
链接:http://osvdb.org/54908
来源:git.kernel.org
链接:http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=192d7a4667c6d11d1a174ec4cad9a3c5d5f9043c